"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class LoggingApiService {
    constructor(iamService, loggingRepository) {
        this._iamService = iamService;
        this._loggingRepository = loggingRepository;
    }
    get iamService() {
        return this._iamService;
    }
    get loggingRepository() {
        return this._loggingRepository;
    }
    async readLogForCorrelation(identity, correlationId) {
        return this.loggingRepository.readLogForCorrelation(correlationId);
    }
    async readLogForProcessModel(identity, correlationId, processModelId) {
        return this.loggingRepository.readLogForProcessModel(correlationId, processModelId);
    }
    async writeLogForProcessModel(correlationId, processModelId, logLevel, message, timestamp) {
        await this.loggingRepository.writeLogForProcessModel(correlationId, processModelId, logLevel, message, timestamp);
    }
    async writeLogForFlowNode(correlationId, processModelId, flowNodeInstanceId, flowNodeId, logLevel, message, timestamp) {
        await this.loggingRepository.writeLogForFlowNode(correlationId, processModelId, flowNodeInstanceId, flowNodeId, logLevel, message, timestamp);
    }
}
exports.LoggingApiService = LoggingApiService;

//# sourceMappingURL=logging_api_service.js.map
